#include <bits/stdc++.h>

using namespace std;
string T,s;
int mesto,mesto2;
int p=0;
int main(){
   cin>>T;
   int duz=T.size();
   for (int j=0;j<duz;j++){
      if (T[j]==T[duz-(j+1)]) p++;
   }
   if (p==duz) cout<<"1"<<endl;

   //za 15 poena
   if (duz%2==1){
      //abbaaa
      if (mesto==duz/2) s=T.substr(0,mesto);
      else if (mesto2==duz/2) s=T.substr(mesto2,duz-1);
           else if (mesto<=duz/2) s=T.substr(0,mesto);
                else s=T.substr(mesto,duz-1);
   }
   else {
      for (int j=0;j<duz;j++){
         if (T[j]=='b'){
            mesto=j;
            continue;
         }
         if (T[j]=='b' and mesto!=j){
            mesto2=j;
         }
      }
      if (mesto<duz/2) s=T.substr(0,mesto);
      else s=T.substr(mesto,duz-1);
   }
   cout<<s.size();
   return 0;
}